/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.tutorial.clustering.client;

import org.jboss.tutorial.clustering.bean.StatefulRemote;

import javax.naming.InitialContext;

public class StatefulRun
{
   public static void main(String[] args) throws Exception
   {
      InitialContext ctx = new InitialContext();
      StatefulRemote remote = (StatefulRemote) ctx.lookup(StatefulRemote.class.getName());
      while (true)
      {
         remote.increment();
         Thread.sleep(10000);
      }
   }
}
